Subject: Re: [bug#69126] [PATCH 2/2] gnu: Add type-safe.

From: "Paul A. Patience" <[email-masked]>
Date: Thu, 15 Feb 2024 14:23:53 +0000

On 2024-02-14 16:30:57-05:00, Skyler Ferris wrote:
> When I tried to compile a file which included `type_safe/integer.hpp`
> from a container (see below for exact commands & source), I got an error
> that the debug_assert header could not be found. I resolved this by
> changing the debug-assert package from a normal input into a propagated
> input, but there could be other ways to solve this.

Nice catch.
I have been using the type_safe library via CMake, which I made work in
the fix-cmake-config phase, but I forgot to consider the case you raised.
I've fixed the issue and will submit a patch presently.

Thanks for providing sample code and invocation, it made it quicker to
test.

Best regards,
Paul